@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

html {
    width: 100vw;
    height: 100vh;
}

body {
    background: #ebebeb;
    margin: 0;
    padding: 0;
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    overflow: hidden;
}

#header {
    height: 51px;
    width: 100%;
    background: none;/*#3f7b49;*/
    position: absolute;
    left: 0;
    top: 0;    
    border: none;
    /* border-bottom: 1px solid #999; */
    z-index: 100;
    font-weight: 300;
}

#header h2 {
    position: absolute;
    top: 50px;
    left: 120px;
    font-size: 28px;
    color: #ddd;
    text-shadow: 0 0 3px #333;
    font-weight: 300;
    user-select: none;
    cursor: default;
}

#header img {
    width: 80px;
    position: absolute;
    left: 20px;
    top: 50px;
}

#headermenuBtn {
    display: block;    
    color: #fffa;
    font-size: 50px;
    position: absolute;
    top: 0px;
    right: 10px;
    width: 50px;
    height: 50px;
    text-align: center;
    line-height: 50px;
    font-weight: 500;
    z-index: 1000;
}

#headermenuBtn::after {
    content: "\2261";
}

#headermenuBtn[data-open] {
    font-weight: 100;
    line-height: 35px;
}

#headermenuBtn[data-open]::after {
    content: "\00D7";
}

#header ul {
    list-style: none;
    margin: 0;
    padding: 0;
    position: absolute;
    right: 10px;
    top: 55px;
    height: 51px;
    display: none;
    flex-direction: column;
}

#headermenuBtn[data-open] + ul {
    display: flex !important;
}

#header ul li {    
    float: right;
    text-align: right;
    padding: 0 10px;
    height: 32px;
    margin: 0;
    line-height: 32px;
    color: #333;
    text-shadow: none;
    cursor: pointer;
    margin-top: 8px;
    background: #ffffffd1;
    border-bottom-left-radius: 6px;
    border-top-right-radius: 6px;
    user-select: none;
}

#logo_overlay {
    width: 100%;
    height: 100vh;
    background-image: url(logos/logo_eeeeee.svg);
    background-repeat: no-repeat;
    background-position-x: 40px;
    background-size: 1000px;
    filter: opacity(0.1);
    position: absolute;
    top: 0;
    background-position-y: -50px;
}

.window_nav {
    display: none;
}

.title {
    position: absolute;
    top: 0;
    left: 30px;
    color: #fff;
    text-align: left;
    height: 100vh;
    width: 300px;
    font-weight: 200;
    user-select: none;
    cursor: default;
    font-size: 50px;
    animation: fadeInAnimation ease 3s 1;
    justify-content: center;
    display: flex;
    align-items: center;
}

#seemore_btn {
    width: 100px;
    height: 30px;
    color: #eee;
    font-family: 'Roboto';
    font-weight: 100;
    border: 1px solid #eee;
    border-radius: 3px;
    background: none;
    position: absolute;
    right: calc(50% - 50px);
    top: calc(50vh - 65px);
    animation: fadeInAnimation ease 3.2s 1;
}

#about_blob {
    width: 360px;
    position: absolute;
    left: calc(50% - 180px);
    top: 25vh;
    color: #ddd;
    font-size: 20px;
    text-align: justify;
}

#about_blob h2 {
    font-size: 40px;
    font-weight: 200;
    text-align: center;
}

.window {
    width: 100vw;
    min-height: 76vh;
    position: relative;    
    background: radial-gradient(circle at left, #cbdee7 , #537f69) left;
    background-repeat: no-repeat;    
    padding-bottom: 150px;
}

.sub_window {
    min-height: 100vh;
}

.window #services_title {
    width: 100vw;
    font-size: 40px;
    color: #ffffff;
    text-align: center;
    font-weight: 200;
    position: absolute;
}

#services_container {
    width: 100vw;
    position: relative;
    top: 100px;
    color: #ffffff;
    display: flex;
    flex-wrap: wrap;    
    justify-content: center;
    align-items: center;
}

.service_block {
    width: 300px;
    height: 550px;
    background: #fff;
    color: #333;
    margin: 20px 10px;
    text-align: center;
    box-shadow: 3px 4px 11px 0px rgb(0, 0, 0, 0.53);
    padding-top: 60px;
    position: relative;
    background-size: 60px 360px;
    background-image: url(images/harptrap.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 0px -130px;
    border-radius: 5px;
}

.service_block h2 { 
    font-weight: 300;
    color: #087a06;
    position: absolute;
    bottom: 195px;
    width: 100%;
}

.service_block p {
    position: absolute; 
    bottom: 0;
    text-align: justify;
    padding: 10px 25px;
    height: 170px;
}

.read_more {
    display: none !important;
}

.detailed_service_block {
    width: calc(100vw - 40px);
    
    background: #fff;
    border-radius: 5px;
    display: none;    
    position: relative;
    padding: 20px;
    padding-bottom: 120px;
    color: #333;
}

.detailed_stick_bottom {
    width: calc(100% - 40px);
    text-align: center !important;
    position: absolute;
    bottom: 0;
}


.blob-container {
    position: absolute;
    left: calc(50% - 40px);
    top: 90px;
    width: 80px;
    height: 80px;
}

.blob {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at 50% 50%, #6ab3f8 0%, #559de8 100%);
    border-radius: 50%;
    animation: blob-animation 8s infinite ease-in-out;
  }

  .blob:nth-child(2) {
    background: radial-gradient(circle at 50% 50%, #7cc5ff 0%, #67adeb 100%);
    animation: blob-animation-2 12s infinite ease-in-out;
    filter: blur(15px);
  }

  .blob:nth-child(3) {
    background: radial-gradient(circle at 50% 50%, #8dd5ff 0%, #74bdf1 100%);
    animation: blob-animation-3 10s infinite ease-in-out;
    filter: blur(35px);
  }

  @keyframes blob-animation {
    0%, 100% {
      transform: scale(1) translate(0, 0) rotate(0deg);
    }
    25% {
      transform: scale(1.1) translate(-5px, 5px) rotate(10deg);
    }
    50% {
      transform: scale(1.2) translate(2px, -10px) rotate(-10deg);
    }
    75% {
      transform: scale(0.9) translate(-10px, 2px) rotate(5deg);
    }
  }

  @keyframes blob-animation-2 {
    0%, 100% {
      transform: scale(1) translate(0, 0) rotate(0deg);
    }
    20% {
      transform: scale(1.15) translate(7px, -7px) rotate(15deg);
    }
    50% {
      transform: scale(1.3) translate(-5px, 2px) rotate(-5deg);
    }
    80% {
      transform: scale(1) translate(1px, 7px) rotate(10deg);
    }
  }

  @keyframes blob-animation-3 {
    0%, 100% {
      transform: scale(1) translate(0, 0) rotate(0deg);
    }
    15% {
      transform: scale(1.05) translate(-2, 1px) rotate(-5deg);
    }
    45% {
      transform: scale(1.2) translate(5px, -5px) rotate(20deg);
    }
    70% {
      transform: scale(0.95) translate(-7px, 7px) rotate(-10deg);
    }
  }
#spect_container p {
    width: 80%;
    position: absolute;
    top: calc(50vh + 30px);
    left: 10%;
    padding: 10px;
}

#spect_container img {
    position: relative;
    bottom: 370px;
    right: 90px;
}

.icon_container {
    width: 70%;
    margin: auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;    
}

.icon_display p {
    width: 80%;
    position: absolute;
    bottom: 10px;
    left: 10%;
    text-align: center;
}

.divisor-title {
    min-width: auto;
    border-image: linear-gradient(90deg, #0000, #444, #0000) 1
}

.divisor-title span {
    line-height: 0px;
}

#service_info {
    position: relative;
    top: 30px;
    margin-bottom: -50px;
    min-width: 300px;
    width: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
}

#service_select {
    list-style: none;
    margin: 0;
    padding: 0;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#service_select li {
    padding: 0;
    margin: 0;
    float: left;
    width: 50%;
    display: block;
}

#service_select h2:hover {
    background: rgba(0,0,0, 0.1);
}

#service_select h2[data-active-tab] {
    background: rgba(0,0,0, 0.08);
    border-bottom: 2px solid #3ba73a;
}

#service_select h2 {
    /* width: 100%; */
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-bottom: 2px solid #aaa;
    /* padding-right: 20px; */
    /* margin: 0; */
    /* margin-right: 20px; */
    font-weight: 300;
    font-size: 12px;
    user-select: none;
    cursor: pointer;
    /* padding: 10px; */
    /* margin: 5px; */
}

.info_collapse {
    width: calc(100% - 20px);
    position: relative;
    margin: auto;
    /* top: -80px; */
    display: none;
    padding: 0px 10px;
}


.information_list h2 {
    text-align: center;
    color: #333;
}

.information_list img {
    width: calc(100% - 40px);
    margin: auto;
    padding: 0 20px 20px 20px;
    display: inline-block;
}

.information_list p {
    padding: 0 10px;
    text-align: justify;
}

.info_block {
    position: relative;
    width: 100%;
    display: inline-block
}

#body_2 {
    position: relative;
    top: 60px;
    left: 0px;
    display: none;
}

.interested_in {
    color: #333;
    margin: 50px 0;
}

.interested_in h2 {
    font-size: 20px;
    font-weight: 300;
    padding-left: 10px;
}

.interested_in p {
    padding-left: 10px;
}

.footer {    
    bottom: 0;
    left: 0;
    width: calc(100% - 20px);
    height: 300px;
    background: #3f7b49;
    color: #ddd;
    position: relative;
    padding: 10px;
}

#footer_name_logo_container {
    display: flex;
    width: 100%;
    height: 50px;
    position: absolute;
    top: 30px;
    left: 0;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}


.footer #footer_logo {
    width: 50px;
    height: 50px;
    background-color: #fdd57b;
    mask: url("logos/logo_fdd57b.svg") no-repeat center;
    mask-size: 50px;
}

.footer span {
    position: absolute;
    width: calc(100% - 20px);
    text-align: center;
}